Get Earnings Call Live
curl --request GET \
--url https://api.aries.com/v1/stock/earnings-call-live \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/stock/earnings-call-live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/earnings-call-live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": [
{
"symbol": "LTRX",
"event": "LTRX - Earnings call Q1 year",
"time": "2024-11-07 23:30:00",
"year": 2025,
"quarter": 1,
"liveAudio": "",
"recording": "https://api.aries.com/v1/stock/media/recording/file/publicdatany/audio2/0bd25a9ed602ec35eee894fd900a8784f9cf4fe78de1232daa5e53c315acd76d.mp3"
}
]
}Stock Alternative
Earnings Call Live
Retrieve live earnings call audio and event data. Optional filters by date range and symbol.
Use Case: Embed live or recent earnings call streams; use the returned URLs to play audio.
GET
/
v1
/
stock
/
earnings-call-live
Get Earnings Call Live
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
from | string | No | From date (optional filter). |
to | string | No | To date (optional filter). |
symbol | string | No | Stock ticker symbol (optional filter). |
Response
Success returns200 OK with a JSON object containing live/recorded earnings call data (event array with liveAudio, recording, symbol, time, year).
Errors: 401 unauthorized, 404 when no data found, 500 server error.Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Start of the date window, inclusive. Format: YYYY-MM-DD.
End of the date window, inclusive. Format: YYYY-MM-DD.
Stock ticker to query. Send the plain uppercase symbol, e.g. AAPL.
Example:
"AAPL"
Response
Earnings call live data.
Show child attributes
Show child attributes
Was this page helpful?